gnutls_srtp_set_profile_direct(3)

NAME
gnutls_srtp_set_profile_direct - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_srtp_set_profile_direct(gnutls_session_t session, const char * profiles, const char ** err_pos);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type.

const char * profiles
    is a string that contains the supported SRTP profiles, separated by colons.

const char ** err_pos
    In case of an error this will have the position in the string the error occurred, may be NULL.

DESCRIPTION
This function is to be used by both clients and servers, to declare what SRTP profiles they support, to negotiate with the peer.

RETURNS
On syntax error GNUTLS_E_INVALID_REQUEST is returned, GNUTLS_E_SUCCESS on success, or an error code. Since 3.1.4

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/